LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDataContainer Interface Referencepublished

specifies a container for (binary) data. More...

`import"XDataContainer.idl";`

Inheritance diagram for XDataContainer:

## Public Member Functions
string | getContentType ()
| returns the content type (MIME Type) of the data container. More...
void | setContentType ([in] string aType)
| sets the content type (MIME Type) of the data container. More...
sequence< byte > | getData ()
| returns the data of the data container. More...
void | setData ([in] sequence< byte > aData)
| sets the data of the data container. More...
string | getDataURL ()
| Deprecated. More...
void | setDataURL ([in] string aURL)
| Deprecated. More...
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index. More...
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index. More...
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a container for (binary) data.

A data container may contain data and/or other data containers. A typical container with children is a MIME message with attachments.

Version
  1.0

Deprecated:

## Member Function Documentation

## ◆ getContentType()

string getContentType | ( |  | ) |

returns the content type (MIME Type) of the data container.

Returns
  the content type

## ◆ getData()

sequence< byte > getData | ( |  | ) |

returns the data of the data container.

Returns
  the data

## ◆ getDataURL()

string getDataURL | ( |  | ) |

Deprecated.

Do not use!

Deprecated:

## ◆ setContentType()

void setContentType | ( | [in] string | aType | ) |

sets the content type (MIME Type) of the data container.

Parameters

  aType | the content type

## ◆ setData()

void setData | ( | [in] sequence< byte > | aData | ) |

sets the data of the data container.

Parameters

  aData | the data

## ◆ setDataURL()

void setDataURL | ( | [in] string | aURL | ) |

Deprecated.

Do not use!

Deprecated:

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XDataContainer.idl